## NAME
`burusftp keygen <keyfile>` - Generates SSH private keys

## OPTIONS
There are two modes of operation for keygen command:

* `--all [<path>]`
  * Generates default set of keys to path provided. If path is not provided keys will be exported to /config/keys directory.

or 

* `-b, --bits <bits>`
  * Number of bits in the key to create. Default value depends on type.
* `-t, --type <rsa | dsa | ed25519 | ecdsa>`
  * Host key algorithm. Default: RSA.

## EXAMPLES
* `burusftp keygen --all`
  * Generate set of keys to /config/keys

* `burusftp keygen --all D:\keys`
  * Generate set of keys to D:\keys
  
* `burusftp keygen key.ppk`
  * Generate 4096-bit RSA key and save it to key.ppk file

* `burusftp keygen -t dsa -b 512 key.ppk`
  * Generate 512-bit DSA key and save it to key.ppk file.
